Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Functions
file.hpp File Reference
`#include <cassert>`
`#include <cerrno>`
`#include <cstddef>`
`#include <cstdio>`
`#include <limits>`
`#include <string>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <system_error>`
`#include <unistd.h>`
Include dependency graph for file.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::util
| Helpful utility classes and functions not strictly OSM related.

## Functions
std::size_t | osmium::util::file_size (int fd)
std::size_t | osmium::util::file_size (const char *name)
std::size_t | osmium::util::file_size (const std::string &name)
void | osmium::util::resize_file (int fd, std::size_t new_size)
std::size_t | osmium::util::get_pagesize () noexcept
std::size_t | osmium::util::file_offset (int fd) noexcept
void | osmium::util::file_seek (int fd, std::size_t offset) noexcept
bool | osmium::util::isatty (int fd) noexcept